package cn.sh.stc.sict.cloud.common.security.exception;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import cn.sh.stc.sict.cloud.common.security.component.SictAuth2ExceptionSerializer;
import lombok.Getter;
import org.springframework.security.oauth2.common.exceptions.OAuth2Exception;

/**
 * @Description
 * @Author
 * @Date
 */
@JsonSerialize(using = SictAuth2ExceptionSerializer.class)
public class SictAuth2Exception extends OAuth2Exception {

    @Getter
    private String errorCode;

    public SictAuth2Exception(String msg, String t) {
        super(msg);
    }

    public SictAuth2Exception(String msg) {
        super(msg);
        this.errorCode = errorCode;
    }
}
